classification
Title: OpenVMS patches
Type: Stage:
Components: Interpreter Core Versions: Python 2.3
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: loewis, pieronne
Priority: normal Keywords: patch

Created on 2002-09-24 21:34 by pieronne, last changed 2002-12-06 12:50 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
vms.diff pieronne, 2002-09-24 21:34 Patch for OpenVMS
vms01.diff nobody, 2002-09-25 19:57 New version
vms02.diff pieronne, 2002-10-03 07:38
vms03.diff pieronne, 2002-10-03 11:57
Messages (7)
msg41226 - (view) Author: Piéronne Jean-François (pieronne) Date: 2002-09-24 21:34
The attach file contains the patches of the Core files necessary to build Python for OpenVMS.
All the patches used conditional compilation test on __VMS, so I may not  be disruptive for the initial 
code.

11 files have been updated:

Python/exceptions.c
Python/import.c
Modules/getbuildinfo.c
Modules/getpatch.c
Modules/main.c
Modules/posixmodule.c
Modules/pwdmodule.c
Modules/socketmodule.c
Modules/stringobject.c
Modules/_hotshot.c
include/pyerrors.h


Jean-François
msg41227 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2002-09-25 13:02
Logged In: YES 
user_id=21627

I have a number of comments and questions:

- What is the purpose of VMSerror? It appears to be unused.
Can you use just OSError instead? If not, it should be VMSError.

- There are various formatting problems (indentation, spaces
after function names).

- Is it really necessary to compute the link time?

- Why do you need psxmod_gat_psxpath? Copying into
psxmod_gt_psxpath appears to do the same thing?

- what is the purpose of psxmod_to_vms_action?
msg41228 - (view) Author: Piéronne Jean-François (pieronne) Date: 2002-09-25 20:03
Logged In: YES 
user_id=414701

Comment seem to be missing.

VMSerror is used by many specifics module which I have not currently provide.
I have correct the typo  VMSerror --> VMSError

formatting problem:
Well, this is the formatting used by Uwe Zessin (and mostly generate by the editor LSE) who has done the initial 
port.
I have not check/update his code because I did'nt know it is required, I have just found the "Style Guide for C 
Code".
I have now update the code, only the VMS part ;-)

Compute of the link time:
Really necessary, sure it is not. But, IMHO, it is more useful to have the link time than the compile time of one 
source file.
What is the problem?


psxmod_gat_psxpath, psxmod_to_vms_action:
You are right.
During the cleaning process of the code of Uwe  (I have remove some part), I have missed this optimisation and to 
remove the, then,  unused routine psxmod_to_vms.
Done, thanks.

I have attach a new version: vms01.diff

Tell me if you find other problem into this version.

Thanks for your help.
msg41229 - (view) Author: Piéronne Jean-François (pieronne) Date: 2002-10-03 07:38
Logged In: YES 
user_id=414701

I have attach a new version(vms02.diff)  using the latest CVS snapshot, I have also slightly update patch of main.c


Thanks,


Jean-François
msg41230 - (view) Author: Piéronne Jean-François (pieronne) Date: 2002-10-03 11:57
Logged In: YES 
user_id=414701

After testing using 20002-10-03_070000 some patches failed, This new version apply correctly.

Jean-François
msg41231 - (view) Author: Piéronne Jean-François (pieronne) Date: 2002-10-15 21:31
Logged In: YES 
user_id=414701

A new version which apply on Sunday snap
msg41232 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2002-12-06 12:50
Logged In: YES 
user_id=21627

Thanks for the patch. Committed as

pyerrors.h 2.63
ACKS 1.219
NEWS 1.553
_hotshot.c 1.31
getbuildinfo.c 2.9
getpath.c 1.43
main.c 1.71
posixmodule.c 2.274
pwdmodule.c 1.37
socketmodule.c 1.247
stringobject.c 2.198
exceptions.c 1.42
import.c 2.212
History
Date User Action Args
2002-09-24 21:34:07pieronnecreate